Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.uddi.client.structures.datatypes
Class AccessPoint

    java.lang.Object
      weblogic.uddi.client.structures.datatypes.TextNode
          weblogic.uddi.client.structures.datatypes.AccessPoint

public class AccessPoint
extends TextNode

AccessPoint element provides a service entry point.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from class weblogic.uddi.client.structures.datatypes.TextNode
`value`

Constructor Summary
`AccessPoint()` Class constructor.
`AccessPoint(String val, String urlType)` Class construstor specifying the initialization values.

Method Summary
`String` | `getURLType()` Gets the value of the URL type.
`void` | `setURLType(String val)` Sets the value of the URL type.

Methods inherited from class weblogic.uddi.client.structures.datatypes.TextNode
`getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessPoint

    public AccessPoint()

  Class constructor.

### AccessPoint

    public AccessPoint(String val,
                       String urlType)

  Class construstor specifying the initialization values. The URLType can be the following values:mailto, http, https, ftp, fax, phone, other

Method Detail

### getURLType

    public String getURLType()

  Gets the value of the URL type.

  Returns:
    the current value of the URL type.

### setURLType

    public void setURLType(String val)

  Sets the value of the URL type. The URLType can be one of the following values: mailto, http, https, ftp, fax, phone, other.

  Parameters:
    `val` - the new value of the URL type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD